"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deque = void 0;
class Deque {
    items;
    constructor() {
        this.items = [];
    }
    /**
     * Adds an element to the front of the deque
     */
    pushFront(element) {
        this.items.unshift(element);
    }
    /**
     * Adds an element to the back of the deque
     */
    pushBack(element) {
        this.items.push(element);
    }
    /**
     * Removes and returns the front element from the deque, or undefined if deque is empty
     */
    popFront() {
        return this.items.shift();
    }
    /**
     * Removes and returns the back element from the deque, or undefined if deque is empty
     */
    popBack() {
        return this.items.pop();
    }
    /**
     * Returns the front element without removing it, or undefined if deque is empty
     */
    front() {
        return this.items[0];
    }
    /**
     * Returns the back element without removing it, or undefined if deque is empty
     */
    back() {
        return this.items[this.items.length - 1];
    }
    /**
     * Returns true if the deque is empty, false otherwise
     */
    empty() {
        return this.items.length === 0;
    }
    /**
     * Returns the number of elements in the deque
     */
    size() {
        return this.items.length;
    }
    /**
     * Removes all elements from the deque
     */
    clear() {
        this.items = [];
    }
}
exports.Deque = Deque;
//# sourceMappingURL=deque.js.map