export interface LinkedList<T> {
    pushBack(element: T): void;
    pushFront(element: T): void;
    insert(element: T, position: number): boolean;
    removeIf(condition: (element: T) => boolean): boolean;
    removeAt(position: number): T | undefined;
    get(position: number): T | undefined;
    empty(): boolean;
    size(): number;
    clear(): void;
}
export declare class LinkedList<T> implements LinkedList<T> {
    private head;
    private tail;
    private length;
    constructor();
}
