"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Map = void 0;
const red_black_tree_1 = require("./red-black-tree");
class Map {
    rbTree;
    constructor(comparator = (a, b) => a < b) {
        this.rbTree = new red_black_tree_1.RedBlackTree(comparator);
    }
    insert(key, value) {
        this.rbTree.insert(key, value);
    }
    find(key) {
        return this.rbTree.find(key);
    }
    delete(key) {
        this.rbTree.remove(key);
    }
    clear() {
        this.rbTree.clear();
    }
    size() {
        return this.rbTree.size();
    }
    empty() {
        return this.rbTree.empty();
    }
}
exports.Map = Map;
//# sourceMappingURL=map.js.map