export interface QueueTy<T> {
    push(element: T): void;
    pop(): T | undefined;
    front(): T | undefined;
    empty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Queue<T> implements QueueTy<T> {
    private items;
    constructor();
    /**
     * Adds an element to the back of the queue.
     */
    push(element: T): void;
    /**
     * Removes and returns the front element from the queue, or undefined if queue is empty.
     */
    pop(): T | undefined;
    /**
     * Returns the front element of the queue without removing it, or undefined if queue is empty.
     */
    front(): T | undefined;
    /**
     * Checks if the queue is empty. Returns true if the queue is empty, false otherwise.
     */
    empty(): boolean;
    /**
     * Returns the number of elements in the queue.
     */
    size(): number;
    /**
     * Removes all elements from the queue.
     */
    clear(): void;
}
