"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Queue = void 0;
class Queue {
    items;
    constructor() {
        this.items = [];
    }
    /**
     * Adds an element to the back of the queue.
     */
    push(element) {
        this.items.push(element);
    }
    /**
     * Removes and returns the front element from the queue, or undefined if queue is empty.
     */
    pop() {
        return this.items.shift();
    }
    /**
     * Returns the front element of the queue without removing it, or undefined if queue is empty.
     */
    front() {
        return this.items[0];
    }
    /**
     * Checks if the queue is empty. Returns true if the queue is empty, false otherwise.
     */
    empty() {
        return this.items.length === 0;
    }
    /**
     * Returns the number of elements in the queue.
     */
    size() {
        return this.items.length;
    }
    /**
     * Removes all elements from the queue.
     */
    clear() {
        this.items = [];
    }
}
exports.Queue = Queue;
//# sourceMappingURL=queue.js.map